package org.dromara.ygpassport.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;

import java.io.Serial;

/**
 * Bug信息对象 ep_bug
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_bug")
public class Bug extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * bug类型
     */
    private Long bugType;

    /**
     * bug描述
     */
    private String bugDerp;


}
