package org.dromara.ygpassport.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 目标信息对象 ep_goal
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_goal")
public class Goal extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 目标
     */
    private String goal;


}
