package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 实习情况对象 ep_internships
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_internships")
public class Internships extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学号
     */
    private String stuNo;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 工作时间
     */
    private String workingHours;

    /**
     * 职务
     */
    private String job;

    /**
     * 职务内容
     */
    private String jobDescription;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

}
