package org.dromara.ygpassport.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 个人目标与成长计划对象 ep_scoreplan
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_scoreplan")
public class Scoreplan extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 个人目标
     */
    private String score;

    /**
     * 成长计划
     */
    private String plan;

    /**
     * 附件
     */
    private String filePath;

}
