package org.dromara.ygpassport.domain.dto;


import lombok.Data;
import org.dromara.ygpassport.domain.vo.ExactiveItemsVo;

import java.io.Serial;
import java.util.List;

/**
 * 第二课堂
 */
@Data
public class WxExtracActivitiesDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 学生实体
     */
    private WxStudentDto studentDto;

    /**
     * 成绩明细
     */
    private List<ExactiveItemsVo> exactiveItemsVoList;

    /**
     * 二维码
     */
    private String qrCode;

}
