package org.dromara.ygpassport.domain.dto;

import lombok.Data;
import org.apache.poi.hpsf.Decimal;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.ygpassport.domain.ScoreList;
import org.dromara.ygpassport.domain.vo.ScoreListVo;

import java.io.Serial;
import java.math.BigDecimal;
import java.util.List;

/**
 * 学习成绩
 */
@Data
public class WxScoreDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
//    private Long id;

    /**
     * 学生实体
     */
    private WxStudentDto studentDto;

    /**
     * 成绩明细
     */
    private List<ScoreListVo> scoreListVos;

    /**
     * 二维码
     */
    private String qrCode;

}
