package org.dromara.ygpassport.domain.dto;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.VolunteeringBo;
import org.dromara.ygpassport.domain.vo.VolunteeringVo;

import java.io.Serial;
import java.util.List;

@Data
@AutoMapper(target = VolunteeringBo.class, reverseConvertGenerate = false)
public class WxVolunteeringDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 活动记录列表
     */
    private List<VolunteeringVo> volunteeringVoList;
}
