package org.dromara.ygpassport.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.Goal;

import java.io.Serial;
import java.io.Serializable;

/**
 * 目标信息视图对象 ep_goal
 *
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Goal.class)
public class GoalVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 目标
     */
    @ExcelProperty(value = "目标")
    private String goal;


}
