package org.dromara.ygpassport.domain.vo;


import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 学生简历详情视图对象
 */
@Data
public class ResumeVo {

    /**
     * 学生信息
     */
    private StudentVo studentVo;

    /**
     * 职业技能证书
     */
    private List<CareerSkillVo> careerSkillVoList;

    /**
     * 生涯规划
     */
    private List<CareerPlansVo> careerPlansVoList;

    /**
     * 实战项目
     */
    private List<CombatProjectVo> combatProjectVoList;


}
