package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.ArchivesGo;
import org.dromara.ygpassport.domain.vo.ArchivesGoVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 档案去向Mapper接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface ArchivesGoMapper extends BaseMapperPlus<ArchivesGo, ArchivesGoVo> {

    List<ArchivesGoVo> selectVoListByStuNo(String stuNo);

    ArchivesGoVo selectVoByStuNo(String stuNo);
}
