package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.CareerPlans;
import org.dromara.ygpassport.domain.vo.CareerPlansVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 生涯规划相关信息Mapper接口
 *
 * @author Lion Li
 * @date 2024-03-11
 */
public interface CareerPlansMapper extends BaseMapperPlus<CareerPlans, CareerPlansVo> {

    List<CareerPlansVo> selectVoListByStuNo(String stuNo);
}
