package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.CareerSkill;
import org.dromara.ygpassport.domain.vo.CareerSkillVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 职业技能证书Mapper接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface CareerSkillMapper extends BaseMapperPlus<CareerSkill, CareerSkillVo> {

    /**
     * 根据学号查询职业技能证书列表
     */
    List<CareerSkillVo> selectVoListByStuNo(String stuNo);
}
