package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.ExtracActivities;
import org.dromara.ygpassport.domain.vo.ExtracActivitiesVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 第二课堂活动记录Mapper接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface ExtracActivitiesMapper extends BaseMapperPlus<ExtracActivities, ExtracActivitiesVo> {
    /**
     * 根据学号查询第二课堂活动记录列表
     */
    List<ExtracActivitiesVo> selectVoListByStuNo(String stuNo);
}
