package org.dromara.ygpassport.mapper;

import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.ygpassport.domain.Research;
import org.dromara.ygpassport.domain.vo.ResearchVo;

import java.util.List;

/**
 * 科研Mapper接口
 *
 * @author Lion Li
 * @date 2024-03-20
 */
public interface ResearchMapper extends BaseMapperPlus<Research, ResearchVo> {

    List<ResearchVo> selectVoListByStuNo(String stuNo);
}
