package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 学生相册对象 ep_student_album
 *
 * @author Lion Li
 * @date 2024-09-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_student_album")
public class StudentAlbum extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学号
     */
    private String stuNo;

    /**
     * 相片id
     */
    private Long photoId;

    /**
     * 类型
     */
    private Long type;

    /**
     * 类型(0个人相册，1志愿服务）
     */
    private Long status;


}
