package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 导师组活动对象 ep_tutor
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_tutor")
public class Tutor extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 所在学期
     */
    private Long semester;

    /**
     * 导师组名称
     */
    private String tutorName;

    /**
     * 导师组类型
     */
    private Long tutorType;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 成绩
     */
    private Integer score;


}
