package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.CombatProject;
import org.dromara.ygpassport.domain.vo.CombatProjectVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 实战项目经历Mapper接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface CombatProjectMapper extends BaseMapperPlus<CombatProject, CombatProjectVo> {
    /**
     * 根据学号查询实战项目经历列表
     */
    List<CombatProjectVo> selectVoListByStuNo(String stuNo);
}
