package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.ForeignLanguageSkill;
import org.dromara.ygpassport.domain.vo.ForeignLanguageSkillVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 外语能力水平Mapper接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface ForeignLanguageSkillMapper extends BaseMapperPlus<ForeignLanguageSkill, ForeignLanguageSkillVo> {

    /**
     * 根据学号查询外语能力水平列表
     */
    List<ForeignLanguageSkill> selectListByStuNo(String stuNo);
}
