package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.Internships;
import org.dromara.ygpassport.domain.vo.InternshipsVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 实习情况Mapper接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface InternshipsMapper extends BaseMapperPlus<Internships, InternshipsVo> {

    /**
     * 根据学号查询实习情况列表
     */
    List<InternshipsVo> selectVoListByStuNo(String stuNo);
}
