package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.PhysiqueTest;
import org.dromara.ygpassport.domain.vo.PhysiqueTestVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 学生体质健康测试数据Mapper接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface PhysiqueTestMapper extends BaseMapperPlus<PhysiqueTest, PhysiqueTestVo> {
    /**
     * 根据学号查询学生体质健康测试数据列表
     */
    List<PhysiqueTestVo> selectVoListByStuNo(String stuNo);
}
