package org.dromara.ygpassport.mapper;

import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.ygpassport.domain.Scholarship;
import org.dromara.ygpassport.domain.vo.ScholarshipVo;

import java.util.List;

/**
 * 奖学金获评记录Mapper接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface ScholarshipMapper extends BaseMapperPlus<Scholarship, ScholarshipVo> {

    List<ScholarshipVo> selectVoListByStuNo(String stuNo);
}
