package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.StudentLeaderExperience;
import org.dromara.ygpassport.domain.vo.StudentLeaderExperienceVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 学生干部经历Mapper接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface StudentLeaderExperienceMapper extends BaseMapperPlus<StudentLeaderExperience, StudentLeaderExperienceVo> {

    List<StudentLeaderExperienceVo> selectVoListByStuNo(String stuNo);
}
