package org.dromara.ygpassport.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.ygpassport.domain.StudentList;
import org.dromara.ygpassport.domain.vo.StudentListVo;

@Mapper
public interface StudentListMapper extends BaseMapperPlus<StudentList, StudentListVo> {

    /**
     * 根据学号查询学生信息
     */
    StudentListVo selectVoByStuNo(String stuNo);

    StudentListVo selectVoByStuNoPro(String stuNo);
}
