package org.dromara.ygpassport.mapper;

import org.dromara.ygpassport.domain.Volunteering;
import org.dromara.ygpassport.domain.vo.VolunteeringVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 志愿服务Mapper接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface VolunteeringMapper extends BaseMapperPlus<Volunteering, VolunteeringVo> {
    /**
     * 根据学号查询志愿服务列表
     */
    List<VolunteeringVo> selectVoListByStuNo(String stuNo);
}
